<?php
/*
 *  Copyright (c) 2014 The CCP project authors. All Rights Reserved.
 *
 *  Use of this source code is governed by a Beijing Speedtong Information Technology Co.,Ltd license
 *  that can be found in the LICENSE file in the root of the web site.
 *
 *   http://www.yuntongxun.com
 *
 *  An additional intellectual property rights grant can be found
 *  in the file PATENTS.  All contributing project authors may
 *  be found in the AUTHORS file in the root of the source tree.
 */

include_once("CCPRestSDK.php");

//主帐号
$accountSid= '';

//主帐号Token
$accountToken= '';

//应用Id
$appId='aaf98f89429833490142983c5c480001';

//请求地址，格式如下，不需要写https://
//$serverIP='app.cloopen.com'; 			//生产地址
$serverIP='sandboxapp.cloopen.com'; //沙盒地址

//请求端口 
$serverPort='8883';

//REST版本号
$softVersion='2013-12-26';


     /**
     * 取消静音
     * @param callid 呼叫Id，由云通讯平台产生，是一路通话的唯一标识
     * @param confid 会议Id，由云通讯平台产生，通过创建会议获取 
     * @param action 会议媒体控制结果通知的回调url地址。自定义的相对地址，默认值为空 
     */
function ConfUnMute($callid,$confid,$action) {
    // 初始化REST SDK
    global $accountSid,$accountToken,$appId,$serverIP,$serverPort,$softVersion;
    $rest = new REST($serverIP,$serverPort,$softVersion);
    $rest->setAccount($accountSid,$accountToken);
    $rest->setAppId($appId);
    //通过SDK调用云通讯平台的取消静音接口，对会议中的某个人进行取消静音
    $result = $rest->ConfUnMute($callid,$confid,$action);
    echo $result;     
}

//Demo调用     
ConfUnMute("","","");
?>
