<?php
/*
 *  Copyright (c) 2014 The CCP project authors. All Rights Reserved.
 *
 *  Use of this source code is governed by a Beijing Speedtong Information Technology Co.,Ltd license
 *  that can be found in the LICENSE file in the root of the web site.
 *
 *   http://www.yuntongxun.com
 *
 *  An additional intellectual property rights grant can be found
 *  in the file PATENTS.  All contributing project authors may
 *  be found in the AUTHORS file in the root of the source tree.
 */

include_once("CCPRestSDK.php");

//主帐号
$accountSid= '';

//主帐号Token
$accountToken= '';

//应用Id
$appId='';

//请求地址，格式如下，不需要写https://
//$serverIP='app.cloopen.com'; 			//生产地址
$serverIP='sandboxapp.cloopen.com';	//沙盒地址

//请求端口 
$serverPort='8883';

//REST版本号
$softVersion='2013-12-26';


    /**
     * 邀请加入会议
     * @param confid	会议Id，由云通讯平台产生，通过创建会议获取 
		 * @param number	被邀请者的手机号、座机号或voip帐号
		 * @param action	会议邀请结果通知的回调url地址。自定义的相对地址，默认值为空 
		 * @param role		加入会议的角色。会议中只有一个主持人，以最后一个为准。0：普通成员，1：主持人，默认值为0 
	   * @param speak		是否可讲，0：不可讲，1：可讲，默认值为1 
	   * @param joinurl	成功加入会议通知的回调url地址。自定义的相对地址，默认值为空
     */
function InviteJoinConf($confid,$number,$action,$role,$speak,$joinurl) {
    // 初始化REST SDK
    global $accountSid,$accountToken,$appId,$serverIP,$serverPort,$softVersion;
    $rest = new REST($serverIP,$serverPort,$softVersion);
    $rest->setAccount($accountSid,$accountToken);
    $rest->setAppId($appId);
    
		//通过SDK调用云通讯平台的邀请加入会议接口
    $result = $rest->InviteJoinConf($confid,$number,$action,$role,$speak,$joinurl);
    echo $result;     
}

//Demo调用     
InviteJoinConf("","","","","","");
?>
